# $Revision: 1.13 $, $Date: 2004/09/20 22:16:00 $
Summary:	IceSound Configurator
Summary(pl):	Konfigurator IceSounda
Name:		icesndcfg
Version:	0.8
Release:	3
License:	GPL v2
Group:		X11/Window Managers/Tools
Source0:	http://www.selena.kherson.ua/xvadim/%{name}-%{version}.tar.bz2
# Source0-md5:	e636114a659b80bce22ae83d480a9a66
Source1:	%{name}.desktop
Patch0:		%{name}-ac.patch
URL:		http://www.selena.kherson.ua/xvadim/programse.html#icesndcfg
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	esound-devel
BuildRequires:	gettext-devel
BuildRequires:	gtk+-devel >= 1.2.0
Requires:	icewm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a small utility for configuration IceSound. It allows you to
set any wav-file for IceWM guievnts very easy.

%description -l pl
Jest to mae narzdzie konfigurujce IceSound. Pozwala ono na bardzo
atwe ustawienie dowolnych plikw .wav dla zdarze IceWM-a.

%prep
%setup -q
%patch0 -p1

%build
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-esd
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -sf ../icesndcfg/pixmaps/icon-ice.xpm $RPM_BUILD_ROOT%{_pixmapsdir}/icesndcfg.xpm
ln -sf ../icesndcfg/pixmaps $RPM_BUILD_ROOT%{_pixmapsdir}/icesndcfg
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

#%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/icesndcfg
%{_pixmapsdir}/*
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: icesndcfg.spec,v $
Revision 1.13  2004/09/20 22:16:00  ankry
- rel. 3

Revision 1.12  2004/03/29 23:22:44  qboosh
- added ac patch, switched to vfolders; release 2 for Ac

Revision 1.11  2003/05/28 12:59:07  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 05:48:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/01/18 22:51:58  juandon
- removed two lines with define

Revision 1.8  2002/11/27 21:10:38  juandon
- new %%doc

Revision 1.7  2002/10/09 13:14:34  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.6  2002/06/23 20:52:52  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.5  2002/05/21 23:13:36  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.4  2002/05/06 11:33:24  qboosh
- pl fix, sorted BRs

Revision 1.3  2002/05/04 15:28:26  grzegol
- fixed typo in URL

Revision 1.2  2002/05/04 12:14:11  kloczek
- added full regenerate ac/am/gt files,
- add also %%{_datadir}/icesndcfg directory to %files.

Revision 1.1  2002/05/03 20:15:02  grzegol
- initial PLD realease (IceSound Configurator)
STBR
